<?xml version="1.0" encoding="UTF-8"?>
<quiz>
  <question type="description">
    <name>
      <text>2.1.1.1 The Function Rule</text>
    </name>
    <questiontext format="html">
      <text><![CDATA[<h3><span style="color: inherit; font-family: inherit;">The Function Rule</span><br></h3>
<p>A function can be thought of as a <span><strong>rule</strong></span> which operates on an <span><strong>input</strong></span> and produces an <span><strong>output</strong></span>. This is often illustrated pictorially in two ways as shown in the figure below. The first way is by using a <span><strong>block diagram</strong></span> which consists of a box showing the input, the output and the rule. We often write the rule inside the box. The second way is to use two sets, one to represent the input and one to represent the output, with an arrow showing the relationship between them.</p>
<figure class="HELM_figure">
    <img width="634" height="116" class="img-responsive atto_image_button_text-bottom" alt="Definition of a function" src="@@PLUGINFILE@@/fig1.svg">
    <figcaption>A general function</figcaption>
</figure>

<p>More precisely, a rule is a function if it produces only a <span><strong>single</strong></span> output for any given input. The function with the rule ‘treble the input’ is shown in the figure below.</p>
<figure class="HELM_figure">
    <img width="602" height="165" class="img-responsive atto_image_button_text-bottom" alt="Input and output of a function" src="@@PLUGINFILE@@/fig2.svg">
    <figcaption>The function with the rule ‘treble the input’</figcaption>
</figure>

<p>Note that with an input of \(4\) the function will produce an output of \(12\). With a more general input, \(x\) say, the output will be \(3x\). It is usual to assign a letter or other symbol to a function in order to label it. The trebling function in the figure above has been given the symbol \(f\).</p>

<div class="HELM_keypoint">
<h4>Key Point</h4>
<p>A function is a rule which operates on an input and produces a <span><strong>single</strong></span> output from that input.</p>
</div>]]></text>
<file name="fig1.svg" path="/" encoding="base64">[encoded data, 59160 characters]</file>
<file name="fig2.svg" path="/" encoding="base64">[encoded data, 72284 characters]</file>
    </questiontext>
    <generalfeedback format="html">
      <text/>
    </generalfeedback>
    <defaultgrade>0</defaultgrade>
    <penalty>0</penalty>
    <hidden>0</hidden>
    <idnumber/>
  </question>
</quiz>
